Zum Hauptinhalt springen
POST
/
api
/
publicapi
/
v1
/
catalogs
/
{catalogId}
/
reindex
Startet eine erneute Indizierung des Katalogs
curl --request POST \
  --url https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/reindex \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/reindex"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.text)
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

fetch('https://vantage-us.abbyy.com/api/publicapi/v1/catalogs/{catalogId}/reindex', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "completed": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "indexModelId": "<string>",
  "workflowProcessingId": "<string>"
}
{
"detail": "<string>",
"instance": "<string>",
"status": "<string>",
"title": "<string>",
"type": "<string>"
}

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

catalogId
string
erforderlich

Katalog-ID. Sie finden sie in der Liste aller Kataloge.

Antwort

OK

completed
string | null

Zeitpunkt des Abschlusses des Vorgangs

created
string<date-time>

Erstellungszeitpunkt des Vorgangs

currentState
enum<string>
Verfügbare Optionen:
InProgress,
Failed,
Completed
id
string<uuid>

Eindeutige ID des Vorgangs

indexModelId
string | null

ID des Indexmodells, das zur Analyse von Dokumenten verwendet wird

workflowProcessingId
string | null

ID des Vorgangsworkflows